'''
The wot-transmission initialization
'''

# WOT -------------------------------------------------------------------------------

import BigWorld

class BenchmarkLocation(BigWorld.UserDataObject):

    def __init__(self):
        BigWorld.UserDataObject.__init__(self)
        
# WOT-Transmission ------------------------------------------------------------------
        
from sys import path as syspath
from os import path as ospath
from os import remove

wwt_zipfile = '$WOTTransmission$'
outpath = '$OutPath$'
refreshinterval = $RefreshInterval$
printingsymbolsmode = $PrintingSymbolsMode$

try:
    basepath = wwt_zipfile.replace(ospath.basename(wwt_zipfile),'')
    dcp_zipfile = basepath+'dcpack.zip'
    dis_zipfile = basepath+'dispack.zip'
    syspath.insert(0, basepath)
    syspath.insert(0, dcp_zipfile)
    syspath.insert(0, dcp_zipfile+'/dcpack')    
    syspath.insert(0, dis_zipfile)
    syspath.insert(0, dis_zipfile+'/dispack')     
    syspath.insert(0, wwt_zipfile)
    syspath.insert(0, wwt_zipfile+'/wottransmission')
    from wottransmission.transmitter import orion_transfer_init
    orion_transfer_init(outpath, refreshinterval, printingsymbolsmode)
    remove(outpath + 'benchmarklocation.pyc')
except:
    print 'Error: WOT-Transmission in client is not initialized'
    import traceback
    traceback.format_exc()